from notmuch2 import Database

def show_msgs(msgs, level):
    print('{:s} {:x} {:s}'.format(' ' * level*4, id(msgs), str(msgs)))
    for msg in msgs:
        print('{:s} {:s} {:s}'.format(' ' * (level*4+2), msg.messageid, str(msg._msg_p)))
        replies=msg.replies()
        show_msgs(replies, level+1)
    

db = Database(config=Database.CONFIG.SEARCH)
msg=db.find("87fsqijx7u.fsf@metapensiero.it")
threads = db.threads(query="thread:"+msg.threadid)
thread = next (threads)

show_msgs(thread, 0)
